<< Image filtering | Image filtering | Sobel >>

scicv >> Image filtering > GaussianBlur

# GaussianBlur

Blurs an image

### Syntax

    img_out = GaussianBlur(img_in, ksize, sigmaX[, sigmaY[, borderType]])

### Parameters

img_in

  Input image (Mat).

ksize

  Kernel size (double 1x2 matrix).

sigmaX

  Gaussian kernel standard deviation in X direction (double).

sigmaY

  Gaussian kernel standard deviation in Y direction (double) (default 0, in that case sigmaY equals to sigmaX)

borderType

  Pixel extrapolation method (double) (default BORDER_DEFAULT).

img_out

  Output image (Mat).

### Description

`GaussianBlur` blurs an image using a Gaussian filter.

### Examples

    scicv_Init();

    img = imread(getSampleImage("lena.jpg"));

    sigma = 1.0;
    img_blur = GaussianBlur(img, [5, 5], sigma);

    matplot(img_blur);

    delete_Mat(img);
    delete_Mat(img_blur);

### See also

- blur

Report an issue
<< Image filtering | Image filtering | Sobel >>